Subject: Re: [RFC] misc/at24: add experimental OF support for the generic eeprom driver

From: Anton Vorontsov <[email-masked]>
Date: Thu, 8 Oct 2009 19:10:07 +0400

On Thu, Oct 08, 2009 at 08:53:46AM -0600, Grant Likely wrote:
[...]
> Please don't.  It is such a small amount of code,

It's *always* a small amound of code, at a start. Then we get
floppy disk drivers and the tty layer. ;-)

[...]
> Driver writers shouldn't have to
> write anything more than a tiny function to populate pdata from the
> device tree.  Managing that pdata instance needs to be done with
> common infrastructure (but I don't have a firm idea about how it
> should look yet).  In the mean time I think Wolfram's approach has
> lower impact.

If I wasn't a PPC/OF guy to some degree, I'd hate PPC/OF people
for bringing arch-specific details into a generic code... :-P

No matter how small the OF code is, I believe we shouldn't put it
into the generic code. Take a look at mmc_spi case again, it can be
easily extended to any arch, because there is no arch-specific stuff,
but a "get/put" pattern for platform data.

Thanks,

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2